<template>
    <Wrapper :id="id" v-slot="main">
        <input type="text" v-bind="main.inputAttrs" :id="id" @keyup.enter="onEnter"/>
    </Wrapper>
</template>

<script>
import Wrapper from '@/app/components/inputs/_Wrapper.vue';

export default {
    components: {Wrapper},
    data() {
        return {
            id: 'input-' + this.booted.helpers.string.uniqueId(),
        };
    },
    methods: {
        onEnter(event) {
            let value = event.target.value.replace(/[^0-9.]/g, '');

            this.booted.helpers.http
                .send(this, {
                    method: 'POST',
                    path: 'product/brand/' + this.$attrs.item.id + '/set-position/' + value,
                })
                .then((response) => {
                    if (response.statusType === 'success') {
                        this.$attrs.value = value;
                        toastr.success(this.__('Изменено'));
                    } else {
                        toastr.error(this.__('Error'));
                    }
                });

            console.log('test', event.target.value);
        },
    },
};
</script>

<style scoped></style>
